net.dontdrinkandroot.wicket.model

## Class StringModel

- java.lang.Object
- - org.apache.wicket.model.Model<String>
  - - net.dontdrinkandroot.wicket.model.StringModel

All Implemented Interfaces:
  Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<String>, org.apache.wicket.util.io.IClusterable

    public class StringModel
    extends org.apache.wicket.model.Model<String>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StringModel(String modelString)`

### Method Summary

### Methods inherited from class org.apache.wicket.model.Model

`detach, equals, getObject, hashCode, of, of, of, of, ofList, ofMap, ofSet, setObject, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringModel

    public StringModel(String modelString)